Bug 60360 - finger shows a user logged in when w or who doesn't
finger shows a user logged in when w or who doesn't
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: finger (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-26 12:48 EST by Phil Hale
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-26 12:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Hale 2002-02-26 12:48:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020212

Description of problem:
Doing a finger will show a user as logged in when there are no running processes
for the user and the w and who commands don't show the user as being logged in.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.login and see user logged via finger
2.run ps auxw and see no processes for the user
3.run w and who and the user doesn't show up as logged in.
	

Actual Results:  finger show inaccurate information about the user being logged in.

Expected Results:  finger shouldn't show the user as logged in when there are no
running processes and w and who don't show them as being logged in.

Additional info:
Comment 1 Phil Knirsch 2002-02-27 06:42:46 EST
Tried on 7.2, works there...

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.